# SceneCodes (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.data
Interface SceneCodes

All Superinterfaces:
  com.threerings.presents.data.InvocationCodes, com.threerings.crowd.data.LocationCodes

All Known Subinterfaces:
  SpotCodes, ZoneCodes

All Known Implementing Classes:
  SceneDirector, SceneRegistry, SpotSceneDirector, SpotSceneManager, SpotSceneRegistry, StageSceneManager

    public interface SceneCodes

extends com.threerings.crowd.data.LocationCodes

Contains codes used by the scene invocation services.

Field Summary
`static String` `SCENE_UPDATE` The message identifier for scene update messages.
`static String` `WHIRLED_GROUP` Defines our invocation services group.

Fields inherited from interface com.threerings.crowd.data.LocationCodes
`ALREADY_THERE, MOVE_IN_PROGRESS, NO_SUCH_PLACE`

Fields inherited from interface com.threerings.presents.data.InvocationCodes
`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

Field Detail

### WHIRLED_GROUP

    static final String WHIRLED_GROUP

  Defines our invocation services group.

  See Also:
    Constant Field Values

### SCENE_UPDATE

    static final String SCENE_UPDATE

  The message identifier for scene update messages.

  See Also:
    Constant Field Values

Copyright © 2011. All Rights Reserved.